3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php try { throw new Exception("123"); } catch (Exception $e) { echo "asd"; throw $e; } catch (Exception $e) { echo "as123d"; }
based on n6gfZ
Output for 7.0.0 - 7.2.0
asd Fatal error: Uncaught Exception: 123 in /in/WfRgT:4 Stack trace: #0 {main} thrown in /in/WfRgT on line 4
Process exited with code 255.
Output for 5.3.20 - 5.6.28
asd Fatal error: Uncaught exception 'Exception' with message '123' in /in/WfRgT:4 Stack trace: #0 {main} thrown in /in/WfRgT on line 4
Process exited with code 255.